Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 6)
@@ -694,30 +896,31 @@
                 DataGridView dgv = dgvAllDisplay;
                 DataGridViewRow CurRow = dgv.Rows[CurrentRow];
                 int colcnt = dgv.Columns.Count;
-                int GroupNo = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.GroupCount].Value);
+                int GroupNo = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.GroupCount].Value);
                 int RowCount = CurRow.Index;
 
                 Color SetBackColor = Color.White;
                 Color SetForeColor = Color.Black;
 
-                if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1)
+                if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.TitleFlg].Value) == 1)
                 {   // タイトル行
-                        SetBackColor = s_TitileRowBackColor;
+                    SetBackColor = s_TitleRowBackColor;
                 }
-                else if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TotalFlg].Value) == 1)
+                else if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.TotalFlg].Value) == 1)
                 {   // 合計行
 
                 }
-                else if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.BlankFlg].Value) == 1)
+                else if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.BlankFlg].Value) == 1)
                 {   // ブランク行
                     SetBackColor = Color.White;
                 }
-                else if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TotalFlg].Value) == 2)
+                else if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.TotalFlg].Value) == 2)
                 {   // 総合計
                     SetForeColor = Color.White;
                     SetBackColor = Color.Black;
                 }
-                else if(RowCount == m_CostsRowCount[(int)CostsRowLine.BillingAmountRowLine]){
+                else if (RowCount == m_CostsRowCount[(int)CostsRowLine.BillingAmountRowLine])
+                {
                     // 請求金額
                 }
 
@@ -734,13 +937,19 @@
                         switch (i)
                         {
                             // 積算時見積金額
-                            case (int)DispGridColumn.EstimatePrice:
+                            case (int)GridColumn.EstimatePrice:
                                 SetBackColor = Color.FromArgb(192, 255, 255);
                                 break;
                             // 実行金額
-                            case (int)DispGridColumn.ExecPrice:
+                            case (int)GridColumn.ExecPrice:
                                 SetBackColor = Color.FromArgb(255, 224, 192);
                                 break;
+                            // 行番号
+                            case (int)GridColumn.No:
+                                // 増減工事フラグがONの場合は色を変える
+                                if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.FluctuationFlg].Value) != 0) SetBackColor = Color.Red;
+                                else SetBackColor = Color.White;
+                                    break;
                             default:
                                 SetBackColor = Color.White;
                                 //if (i == dgv.ColumnCount + (int)ColPayTotal.Totals && GroupNo == (int)GroupName_ConstructionLedger.CurrentProfit)
@@ -752,7 +961,7 @@
                                 break;
                         }
                         CurRow.Cells[i].Style.BackColor = SetBackColor;
-                        if(CurRow.Cells[i].Style.ForeColor != Color.Red) CurRow.Cells[i].Style.ForeColor = SetForeColor;
+                        if (CurRow.Cells[i].Style.ForeColor != Color.Red) CurRow.Cells[i].Style.ForeColor = SetForeColor;
                     }
                     return;
                 }
@@ -778,19 +987,27 @@
         /// <returns></returns>
         private double CalculattionPercent(double dInput)
         {
-            double dwork = 0;
+            try
+            {
+                double dwork = 0;
 
-            // 受注金額取得
-            double dBase = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text.Replace("\\", "").Replace("-", ""));
-            if (dBase == 0) return dwork;
+                // 受注金額取得
+                double dBase = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text);
+                if (dBase == 0) return dwork;
 
-            dwork = dInput / dBase * 100.0;
+                dwork = dInput / dBase * 100.0;
 
-            return dwork;
+                return dwork;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
         }
         #endregion
 
-        #region 初期時データ取得
+        #region データ表示処理
         /// <summary>
         /// 初期時データ取得
         /// </summary>
@@ -805,14 +1022,14 @@
                 // ヘッダー表示
                 if (!DispHeader()) return;
 
-                // グリッド行削除
-                dgvAllDisplay.Rows.Clear();
-
                 // データがある場合は表示を行う
-                if (InitDispData()) return;
-                
-                // データが無い場合は工事予算書より作成する
-                DispDataFromConstructionBudget();
+                if (!InitDispData())
+                {
+                    // データが無い場合は工事予算書より作成する
+                    //（データは工事予算承認時に作成されるが承認時の作成でも
+                    // 見えないフォームを起動してデータを作成しているので以下の処理は共通）
+                    DispDataFromConstructionBudget();
+                }
 
             }
             catch (Exception ex)
@@ -832,12 +1049,14 @@
         /// 工事予算書よりデータを取得する
         /// </summary>
         /// <returns></returns>
-        private bool DispDataFromConstructionBudget()
+        private void DispDataFromConstructionBudget()
         {
             try
             {
+                // グリッド行削除
+                dgvAllDisplay.Rows.Clear();
 
-                // 工事予算書より経費を取り込む
+                // 経費を表示する
                 DispDataFromConstructionBudget1();
 
                 // 空白行
@@ -869,80 +1088,73 @@
                 CreateNetIncome();
 
                 // 合計金額
-                CreateAllTotal();
+                CreateAllTotal(true);
 
                 // 請求金額作成
-                ConstructionLedgerDetail SaveBillingData = new ConstructionLedgerDetail();
-                CreateBillingAmount(SaveBillingData);
+                CreateBillingAmount();
 
                 // 現在利益作成
                 CreateCurrentProfit();
 
-                // 初期時は詳細台帳データを作成する
-                // データ登録
-                if (!DataEntryProcess(false)) return false;
-
                 // 表示行が足りない場合は追加する
                 SetBlankRow(dgvAllDisplay);
 
-                return true;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
             }
         }
         #endregion
 
-        #region 工事予算書より経費を取り込む
+        #region 経費を表示する
         /// <summary>
-        /// 工事予算書より経費を取り込む
+        /// 経費を表示する
         /// </summary>
         /// <returns></returns>
         private bool DispDataFromConstructionBudget1()
         {
-            IOConstructionBudgetDetail DetailDB = new IOConstructionBudgetDetail();
             try
             {
-                // 工事予算書明細データを読み込む
-                string strSQL = DetailDB.CreatePrimarykeyString(m_ConstructionCode);
-                strSQL += string.Format(" AND GROUPCOUNT = {0}", (int)GroupName_ConstructionBudget.Expenses);
-                strSQL += " ORDER BY GroupCount ASC, LineCount ASC";
-                List<ConstructionBudgetDetail> DetailList = new List<ConstructionBudgetDetail>();
-                if (!DetailDB.SelectAction(strSQL, ref DetailList)) return false;
-                if (DetailList.Count == 0) return false;
-
                 DataGridView dgv = dgvAllDisplay;
                 int GroupNo = (int)GroupName_ConstructionLedger.Expenses;
                 int icnt = 0;
+                // 受注金額取得
+                double OrdersPrice = CommonMotions.cnvInt(m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text);
 
                 // グループ名表示
-                CreateTitileRow(GroupNo, s_GroupTitile[GroupNo]);
+                CreateTitleRow(GroupNo, s_GroupTitle[GroupNo]);
 
                 // 行位置取得
                 m_CostsRowCount[(int)CostsRowLine.ExpensesRowLine] = dgv.RowCount - 1;
 
-                foreach (ConstructionBudgetDetail DetailRec in DetailList)
+                foreach (object[] wrkExpense in m_ExpensesList)
                 {
+                    // 経費率取得
+                    string strVallue = CommonMotions.cnvString(wrkExpense[(int)ExpensesArray.ExpensesName]);
+                    double dExpenses = CommonMotions.cnvDouble(wrkExpense[(int)ExpensesArray.ExpensesRate]);
+
                     object[] RowData = new object[dgv.Columns.Count];
+
+                    // 金額計算
+                    double CalcValue = OrdersPrice * (dExpenses / 100.0);
+                    
                     // データセット
-                    RowData[(int)DispGridColumn.No] = string.Format("{0}-{1}", GroupNo, ++icnt);
-                    RowData[(int)DispGridColumn.FixFlg] = "*";
-                    RowData[(int)DispGridColumn.GroupCount] = GroupNo;
-                    RowData[(int)DispGridColumn.ItemName] = DetailRec.FirstString;
-                    RowData[(int)DispGridColumn.TextName] = DetailRec.SecondString;
-                    RowData[(int)DispGridColumn.SubContractorType] = DetailRec.CompanyType;
-                    RowData[(int)DispGridColumn.SubContractorCode] = DetailRec.CompanyCode;
-                    RowData[(int)DispGridColumn.SubContractorName] = DetailRec.CompanyName;
-                    RowData[(int)DispGridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
-                    RowData[(int)DispGridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
-                    RowData[(int)DispGridColumn.payment] = DetailRec.ExecutionAmount.ToString("#,0");
-                    RowData[(int)DispGridColumn.IndependentFlg] = "1";
+                    RowData[(int)GridColumn.No] = string.Format("{0}-{1}", GroupNo, ++icnt);
+                    RowData[(int)GridColumn.FixFlg] = "*";
+                    RowData[(int)GridColumn.GroupCount] = GroupNo;
+                    RowData[(int)GridColumn.ItemName] = string.Format("{0}({1}%)", strVallue, dExpenses.ToString("0.00"));
+                    RowData[(int)GridColumn.CompanyType] = 0;
+                    RowData[(int)GridColumn.CompanyCode] = 0;
+                    RowData[(int)GridColumn.ExecPrice] = ((int)CalcValue).ToString("#,#");
+                    RowData[(int)GridColumn.Percent] = dExpenses.ToString("0.00");
+                    RowData[(int)GridColumn.IndependentFlg] = "1";
+                    RowData[(int)GridColumn.FluctuationFlg] = "0";
+                    RowData[(int)GridColumn.payment] = ((int)CalcValue).ToString("#,#");
 
                     // 合計欄位置取得
                     int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
-                    RowData[TotalPoint] = DetailRec.ExecutionAmount.ToString("#,0");
+                    RowData[TotalPoint] = ((int)CalcValue).ToString("#,#");
                     // 実績欄位置取得
                     int ResultPoint = dgv.ColumnCount + (int)ColPayTotal.Results;
                     RowData[ResultPoint] = "0";
@@ -957,10 +1169,6 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return false;
             }
-            finally
-            {
-                DetailDB.close(); DetailDB = null;
-            }
         }
         #endregion
 
@@ -969,7 +1177,7 @@
         /// 工事予算書より施工費を取り込む
         /// </summary>
         /// <returns></returns>
-        private bool DispDataFromConstructionBudget2()
+        private void DispDataFromConstructionBudget2()
         {
             IOConstructionBudgetDetail DetailDB = new IOConstructionBudgetDetail();
             try
@@ -981,14 +1189,14 @@
                 strSQL += string.Format(" OR GROUPCOUNT = {0})", (int)GroupName_ConstructionBudget.MyConstruction);         // 自社施工
                 strSQL += " ORDER BY GroupCount ASC, LineCount ASC";
                 List<ConstructionBudgetDetail> DetailList = new List<ConstructionBudgetDetail>();
-                if (!DetailDB.SelectAction(strSQL, ref DetailList)) return false;
-                if (DetailList.Count == 0) return false;
+                if (!DetailDB.SelectAction(strSQL, ref DetailList)) return;
+                if (DetailList.Count == 0) return;
 
                 DataGridView dgv = dgvAllDisplay;
                 int GroupNo = (int)GroupName_ConstructionLedger.ConstructionCosts;
                 int icnt = 0;
                 // グループ名表示
-                CreateTitileRow(GroupNo, s_GroupTitile[GroupNo]);
+                CreateTitleRow(GroupNo, s_GroupTitle[GroupNo]);
 
                 // 行位置取得
                 m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine] = dgv.RowCount - 1;
@@ -997,18 +1205,19 @@
                 {
                     object[] RowData = new object[dgv.Columns.Count];
                     // データセット
-                    RowData[(int)DispGridColumn.No] = string.Format("{0}-{1}", GroupNo, ++icnt);
-                    RowData[(int)DispGridColumn.FixFlg] = "*";
-                    RowData[(int)DispGridColumn.GroupCount] = GroupNo;
-                    RowData[(int)DispGridColumn.ItemName] = DetailRec.FirstString;
-                    RowData[(int)DispGridColumn.TextName] = DetailRec.SecondString;
-                    RowData[(int)DispGridColumn.SubContractorCode] = DetailRec.CompanyType;
-                    RowData[(int)DispGridColumn.SubContractorCode] = DetailRec.CompanyCode;
-                    RowData[(int)DispGridColumn.SubContractorName] = DetailRec.CompanyName;
-                    RowData[(int)DispGridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,0");
-                    RowData[(int)DispGridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
-                    RowData[(int)DispGridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
-                    RowData[(int)DispGridColumn.IndependentFlg] = "1";
+                    RowData[(int)GridColumn.No] = string.Format("{0}-{1}", GroupNo, ++icnt);
+                    RowData[(int)GridColumn.FixFlg] = "*";
+                    RowData[(int)GridColumn.GroupCount] = GroupNo;
+                    RowData[(int)GridColumn.ItemName] = DetailRec.FirstString;
+                    RowData[(int)GridColumn.TextName] = DetailRec.SecondString;
+                    RowData[(int)GridColumn.CompanyCode] = DetailRec.CompanyType;
+                    RowData[(int)GridColumn.CompanyCode] = DetailRec.CompanyCode;
+                    RowData[(int)GridColumn.CompanyName] = DetailRec.CompanyName;
+                    RowData[(int)GridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,0");
+                    RowData[(int)GridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
+                    RowData[(int)GridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
+                    RowData[(int)GridColumn.IndependentFlg] = "1";
+                    RowData[(int)GridColumn.FluctuationFlg] = "0";
 
                     // 合計欄位置取得
                     int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
@@ -1020,12 +1229,10 @@
                     // 行セット
                     CreateDataRow(RowData);
                 }
-                return true;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
             }
             finally
             {
@@ -1039,7 +1246,7 @@
         /// 購入品ブロックを作成する
         /// </summary>
         /// <returns></returns>
-        private bool DispDataFromConstructionBudget3()
+        private void DispDataFromConstructionBudget3()
         {
             try
             {
@@ -1046,7 +1253,7 @@
                 int icnt = 1;
                 int Block = (int)GroupName_ConstructionLedger.TransportationCosts;
                 // グループ名表示
-                CreateTitileRow(Block ,s_GroupTitile[(int)GroupName_ConstructionLedger.PurchaseCosts] + "　　等");
+                CreateTitleRow(Block, s_GroupTitle[(int)GroupName_ConstructionLedger.PurchaseCosts] + "　　等");
 
                 // 交通費表示
                 GetDispDataFromConstructionBudget(Block, (int)GroupName_ConstructionBudget.TransportationCosts, icnt++);
@@ -1061,12 +1268,10 @@
                 // 処分費等
                 GetDispDataFromConstructionBudget(Block, (int)GroupName_ConstructionBudget.DisposeCosts, icnt++);
 
-                return true;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
             }
         }
         #endregion
@@ -1076,7 +1281,7 @@
         /// 工事予算書より購入品を取り込む
         /// </summary>
         /// <returns></returns>
-        private bool DispPurchaseCostsFromConstructionBudget(int BlockCnt ,int icnt)
+        private void DispPurchaseCostsFromConstructionBudget(int BlockCnt, int icnt)
         {
             IOConstructionBudgetDetail DetailDB = new IOConstructionBudgetDetail();
             try
@@ -1086,8 +1291,8 @@
                 strSQL += DetailDB.CreatePrimarykeyString(m_ConstructionCode);
                 strSQL += string.Format(" AND GROUPCOUNT = {0}", (int)GroupName_ConstructionBudget.PurchaseCosts);       // 購入品
                 ArrayList DetailList = new ArrayList();
-                if (!DetailDB.ExecuteReader(strSQL, ref DetailList)) return false;
-                if (DetailList.Count == 0) return false;
+                if (!DetailDB.ExecuteReader(strSQL, ref DetailList)) return;
+                if (DetailList.Count == 0) return;
 
                 DataGridView dgv = dgvAllDisplay;
                 int GroupNo = (int)GroupName_ConstructionLedger.PurchaseCosts;
@@ -1098,14 +1303,15 @@
 
                 object[] RowData = new object[dgv.Columns.Count];
                 // データセット
-                RowData[(int)DispGridColumn.No] = string.Format("{0}-{1}", BlockCnt, icnt);
-                RowData[(int)DispGridColumn.FixFlg] = "*";
-                RowData[(int)DispGridColumn.GroupCount] = GroupNo;
-                RowData[(int)DispGridColumn.ItemName] = s_GroupTitile[GroupNo];
-                RowData[(int)DispGridColumn.EstimatePrice] = CommonMotions.cnvInt(wrkobj[0]).ToString("#,0");
-                RowData[(int)DispGridColumn.ExecPrice] = CommonMotions.cnvInt(wrkobj[1]).ToString("#,0");
-                RowData[(int)DispGridColumn.Percent] = CommonMotions.cnvDouble(wrkobj[2]).ToString("0.00");
-                RowData[(int)DispGridColumn.IndependentFlg] = "1";
+                RowData[(int)GridColumn.No] = string.Format("{0}-{1}", BlockCnt, icnt);
+                RowData[(int)GridColumn.FixFlg] = "*";
+                RowData[(int)GridColumn.GroupCount] = GroupNo;
+                RowData[(int)GridColumn.ItemName] = s_GroupTitle[GroupNo];
+                RowData[(int)GridColumn.EstimatePrice] = CommonMotions.cnvInt(wrkobj[0]).ToString("#,0");
+                RowData[(int)GridColumn.ExecPrice] = CommonMotions.cnvInt(wrkobj[1]).ToString("#,0");
+                RowData[(int)GridColumn.Percent] = CommonMotions.cnvDouble(wrkobj[2]).ToString("0.00");
+                RowData[(int)GridColumn.IndependentFlg] = "1";
+                RowData[(int)GridColumn.FluctuationFlg] = "0";
 
                 // 合計欄位置取得
                 int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
@@ -1117,12 +1323,10 @@
                 // 行セット
                 CreateDataRow(RowData);
 
-                return true;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
             }
             finally
             {
@@ -1136,7 +1340,7 @@
         /// 工事予算書よりデータを取り込む
         /// </summary>
         /// <returns></returns>
-        private bool GetDispDataFromConstructionBudget(int BlockNo, int GroupNo, int DataNo)
+        private void GetDispDataFromConstructionBudget(int BlockNo, int GroupNo, int DataNo)
         {
             IOConstructionBudgetDetail DetailDB = new IOConstructionBudgetDetail();
             try
@@ -1147,55 +1351,77 @@
                 strSQL += " ORDER BY LineCount ASC";
 
                 ConstructionBudgetDetail DetailRec = new ConstructionBudgetDetail();
-                if (!DetailDB.SelectAction(strSQL, ref DetailRec)) return false;
+                bool DataExist = DetailDB.SelectAction(strSQL, ref DetailRec);
 
                 DataGridView dgv = dgvAllDisplay;
 
                 object[] RowData = new object[dgv.Columns.Count];
                 // データセット
-                switch (DetailRec.GroupCount)
+                switch (GroupNo)
                 {
                     // 車両リース代
                     case (int)GroupName_ConstructionBudget.VehicleLeaseFee:
-                        // 行位置取得
                         m_CostsRowCount[(int)CostsRowLine.VehicleLeaseFeeRowLine] = dgv.RowCount;
                         GroupNo = (int)GroupName_ConstructionLedger.VehicleLeaseFee;
+                        DetailRec.FirstString = s_GroupTitle[(int)GroupName_ConstructionLedger.VehicleLeaseFee];
                         break;
                     // 交通費（通行料・電車代）
                     case (int)GroupName_ConstructionBudget.TransportationCosts:
-                        // 行位置取得
                         m_CostsRowCount[(int)CostsRowLine.TransportationCostsRowLine] = dgv.RowCount;
                         GroupNo = (int)GroupName_ConstructionLedger.TransportationCosts;
+                        DetailRec.FirstString = s_GroupTitle[(int)GroupName_ConstructionLedger.TransportationCosts];
                         break;
                     // 駐車場・資材置き場
                     case (int)GroupName_ConstructionBudget.ParkingCosts:
-                        // 行位置取得
                         m_CostsRowCount[(int)CostsRowLine.ParkingCostsRowLine] = dgv.RowCount;
                         GroupNo = (int)GroupName_ConstructionLedger.ParkingCosts;
+                        DetailRec.FirstString = s_GroupTitle[(int)GroupName_ConstructionLedger.ParkingCosts];
                         break;
                     // 宿泊費
                     case (int)GroupName_ConstructionBudget.RoomChargeCosts:
-                        // 行位置取得
                         m_CostsRowCount[(int)CostsRowLine.RoomChargeCostsRowLine] = dgv.RowCount;
                         GroupNo = (int)GroupName_ConstructionLedger.RoomChargeCosts;
+                        DetailRec.FirstString = s_GroupTitle[(int)GroupName_ConstructionLedger.RoomChargeCosts];
                         break;
                     // 処分費等
                     case (int)GroupName_ConstructionBudget.DisposeCosts:
-                        // 行位置取得
                         m_CostsRowCount[(int)CostsRowLine.DisposeCostsRowLine] = dgv.RowCount;
                         GroupNo = (int)GroupName_ConstructionLedger.DisposeCosts;
+                        DetailRec.FirstString = s_GroupTitle[(int)GroupName_ConstructionLedger.DisposeCosts];
                         break;
                     // 指導員費用
                     case (int)GroupName_ConstructionBudget.InstructorCosts:
-                        // 行位置取得
-                        m_CostsRowCount[(int)CostsRowLine.InstructorRowLine] = dgv.RowCount;
+                        if (!DataExist) CreateInstructorCosts(ref DetailRec);
+
+                        if (m_CostsRowCount[(int)CostsRowLine.InstructorRowLine] == 0)
+                            m_CostsRowCount[(int)CostsRowLine.InstructorRowLine] = dgv.RowCount;
                         GroupNo = (int)GroupName_ConstructionLedger.Instructor;
+                        // 指導員行に名前を入れる
+                        SetFirstStringName(ref DetailRec);
+                        // 一般ユーザーは指導員の給与を見えないようにする
+                        if (!CheckLeaderOrUser()) DetailRec.SecondString = string.Empty;
                         break;
-                    // 給与費用
+                    // 副担当者給与費用
+                    case (int)GroupName_ConstructionBudget.AssistantCosts:
+                        if (!DataExist) CreateAssistantCosts(ref DetailRec);
+
+                        if (m_CostsRowCount[(int)CostsRowLine.AssistantRowLine] == 0)
+                            m_CostsRowCount[(int)CostsRowLine.AssistantRowLine] = dgv.RowCount;
+                        GroupNo = (int)GroupName_ConstructionLedger.Assistant;
+                        // 副担当行に名前を入れる
+                        SetFirstStringName(ref DetailRec);
+                        // 一般ユーザーは副担当者の給与を見えないようにする
+                        if (!CheckLeaderOrUser()) DetailRec.SecondString = string.Empty;
+                        break;
+                    // 担当者給与費用
                     case (int)GroupName_ConstructionBudget.PayrollExpenses:
-                        // 行位置取得
-                        m_CostsRowCount[(int)CostsRowLine.PayrollExpensesRowLine] = dgv.RowCount;
-                        GroupNo = (int)GroupName_ConstructionLedger.PayrollExpenses;
+                        if (!DataExist) CreatePayrollCosts(ref DetailRec);
+
+                        if (m_CostsRowCount[(int)CostsRowLine.PayrollRowLine] == 0)
+                            m_CostsRowCount[(int)CostsRowLine.PayrollRowLine] = dgv.RowCount;
+                        GroupNo = (int)GroupName_ConstructionLedger.Payroll;
+                        // 一般ユーザーは担当者の給与を見えないようにする
+                        if (!CheckLeaderOrUser()) DetailRec.SecondString = string.Empty;
                         break;
                     default:
                         // その他の項目
@@ -1203,19 +1429,20 @@
                         break;
                 }
 
-                RowData[(int)DispGridColumn.No] = string.Format("{0}-{1}", BlockNo, DataNo);
-                RowData[(int)DispGridColumn.FixFlg] = "*";
-                RowData[(int)DispGridColumn.GroupCount] = GroupNo;
-                RowData[(int)DispGridColumn.ItemName] = DetailRec.FirstString;
-                RowData[(int)DispGridColumn.TextName] = DetailRec.SecondString;
+                RowData[(int)GridColumn.No] = string.Format("{0}-{1}", BlockNo, DataNo);        // ここでの番号は見えないのでおかしくてもよい
+                RowData[(int)GridColumn.FixFlg] = "*";
+                RowData[(int)GridColumn.GroupCount] = GroupNo;
+                RowData[(int)GridColumn.ItemName] = DetailRec.FirstString;
+                RowData[(int)GridColumn.TextName] = DetailRec.SecondString;
 
-                RowData[(int)DispGridColumn.SubContractorType] = DetailRec.CompanyType;
-                RowData[(int)DispGridColumn.SubContractorCode] = DetailRec.CompanyCode;
-                RowData[(int)DispGridColumn.SubContractorName] = DetailRec.CompanyName;
-                RowData[(int)DispGridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,0");
-                RowData[(int)DispGridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
-                RowData[(int)DispGridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
-                RowData[(int)DispGridColumn.IndependentFlg] = "1";
+                RowData[(int)GridColumn.CompanyType] = DetailRec.CompanyType;
+                RowData[(int)GridColumn.CompanyCode] = DetailRec.CompanyCode;
+                RowData[(int)GridColumn.CompanyName] = DetailRec.CompanyName;
+                RowData[(int)GridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,0");
+                RowData[(int)GridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
+                RowData[(int)GridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
+                RowData[(int)GridColumn.IndependentFlg] = "1";
+                RowData[(int)GridColumn.FluctuationFlg] = "0";
 
                 // 合計欄位置取得
                 int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
@@ -1227,23 +1454,10 @@
                 // 行セット
                 CreateDataRow(RowData);
 
-                // 一般ユーザーの指導員は担当者の給与を見えないようにする
-                if (DetailRec.GroupCount == (int)GroupName_ConstructionBudget.PayrollExpenses)
-                {
-                    if (!CheckUserAndLeader())
-                    {
-                        int rowcnt = dgv.RowCount - 1;
-                        dgv.Rows[rowcnt].Cells[(int)DispGridColumn.TextName].Value = string.Empty;
-
-                    }
-                }
-
-                return true;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
             }
             finally
             {
